using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TimedDoor
{
    class Program
    {
        static void Main(string[] args)
        {
            // creer un  TimerDoorWrapper
            XXXXXXXXXXXXX
            // creer une porte automatique et injecter le TimerDoorWrapper
            XXXXXXXXXXXXX
            string key;
            do
            {
                Console.WriteLine("O open  Q quit program");
                var keyPressed = Console.ReadKey();
                key = keyPressed.KeyChar.ToString().ToUpper();
                if (key == "O")
                {
                    // j'ouvre la porte automatique
                    XXXXXXXXXXXXX
                }

            } while (key != "Q");
        }
    }
}
